Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.internal.wizards
Class MakeItHappenWizardsPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.emf.ecp.makeithappen.internal.wizards.MakeItHappenWizardsPlugin

All Implemented Interfaces:
  org.eclipse.emf.common.util.Logger, org.eclipse.emf.common.util.ResourceLocator

    public final class MakeItHappenWizardsPlugin

extends org.eclipse.emf.common.EMFPlugin

The Plugin for the model ecp..makeithappen.internal.wizards library. EMF must run within an Eclipse workbench, within a headless Eclipse workspace, or just stand-alone as part of some other application. To support this, all resource access should be directed to the resource locator, which can redirect the service as appropriate to the runtime. During stand-alone invocation no plugin initialization takes place. In this case, common.resources.jar must be on the CLASSPATH.

See Also:
  `INSTANCE`

Nested Class Summary
`static class` | `MakeItHappenWizardsPlugin.Implementation` The actual implementation of the Eclipse Plugin.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`org.eclipse.emf.common.EMFPlugin.EclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalEclipsePlugin, org.eclipse.emf.common.EMFPlugin.InternalHelper, org.eclipse.emf.common.EMFPlugin.OSGiDelegatingBundleActivator`

Field Summary
`static MakeItHappenWizardsPlugin` | `INSTANCE` The singleton instance of the plugin.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Method Summary
`static MakeItHappenWizardsPlugin.Implementation` | `getPlugin()` Returns the singleton instance of the Eclipse plugin.
`org.eclipse.emf.common.util.ResourceLocator` | `getPluginResourceLocator()`

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getPluginLogger, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final MakeItHappenWizardsPlugin INSTANCE

  The singleton instance of the plugin.

Method Detail

### getPluginResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getPluginResourceLocator()

  Specified by:
    `getPluginResourceLocator` in class `org.eclipse.emf.common.EMFPlugin`

### getPlugin

    public static MakeItHappenWizardsPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.